Subject: Re: [PATCH 4/5] builtin/repo: find commit with most parents

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Feb 2026 14:48:57 -0800

Justin Tobler <[email-masked]> writes:

> Complex merge events may produce an octopus merge where the resulting
> merge commit has more than two parents. While iterating through objects
> in the repository for git-repo-structure, identify the commit with the
> most parents and display it in the output.

Does the size of octopus have anything more than a curiosity value?

The opposite, the commit with most direct children, might be even
more interesting, but that may be just me.